Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members File Members Related Pages

# cgicc::HTMLElementList Class Reference

An expandable list of HTMLElement objects. More...

`#include <cgicc/HTMLElementList.h>`

List of all members.

## Public Methods
Constructors and Destructor
| HTMLElementList ()
| Create an empty HTMLElementList. More...
| HTMLElementList (const HTMLElement &head)
| Create a new HTMLElementList, specifying the first element. More...
| HTMLElementList (const HTMLElementList &list)
| Copy constructor. More...
| ~HTMLElementList ()
| Destructor. More...
Overloaded Operators
HTMLElementList & | operator= (const HTMLElementList &list)
| Assignment operator. More...
List Management
Manage the elements in the list
HTMLElementList & | add (const HTMLElement &element)
| Add an HTMLElement to the list. More...
HTMLElementList & | add (HTMLElement *element)
| Add an HTMLElement to the list. More...
void | render (std::ostream &out) const
| Render this HTMLElementList. More...

## Detailed Description

An expandable list of HTMLElement objects.

An HTMLElementList represents any number of HTMLElement objects. To add HTMLElement objects to the list, use the add() methods:

     cgicc::HTMLElementList list;
     list.add(br());

See also:
  HTMLAttribute , HTMLElement

Definition at line 65 of file HTMLElementList.h.

## Constructor & Destructor Documentation

cgicc::HTMLElementList::HTMLElementList | ( |  | ) |

| Create an empty HTMLElementList. HTMLElementLists are most often created with the add() functions

cgicc::HTMLElementList::HTMLElementList | ( | const HTMLElement & | head | ) |

  | Create a new HTMLElementList, specifying the first element. The first element in the list is set to `head` Parameters:
  head | The first element of the list

cgicc::HTMLElementList::HTMLElementList | ( | const HTMLElementList & | list | ) |

  | Copy constructor. Sets the elements in this list to those of `list` Parameters:
  list | The HTMLElementList to copy.

cgicc::HTMLElementList::~HTMLElementList | ( |  | ) |

| Destructor. Deletes this HTMLElementList object

## Member Function Documentation

HTMLElementList& cgicc::HTMLElementList::add | ( | HTMLElement * | element | ) |

  | Add an HTMLElement to the list. Parameters:
  element | The HTMLElement to add.
Returns: A reference to the `this`

HTMLElementList& cgicc::HTMLElementList::add | ( | const HTMLElement & | element | ) |

  | Add an HTMLElement to the list. Parameters:
  element | The HTMLElement to add.
Returns: A reference to `this`

HTMLElementList& cgicc::HTMLElementList::operator= | ( | const HTMLElementList & | list | ) |

  | Assignment operator. Sets the elements in this list to those of `list` Parameters:
  list | The HTMLElementList to copy
Returns: A reference to `this`

void cgicc::HTMLElementList::render | ( | std::ostream & | out | ) | const

  | Render this HTMLElementList. Parameters:
  out | The ostream to which to write

The documentation for this class was generated from the following file:

- HTMLElementList.h